Subject: Re: [pim] Hello HoldTime and Assert questions

From: Pavlin Radoslavov <[email-masked]>
Date: Tue, 03 May 2005 20:00:01 -0700

[Note: a follow-up of a several months old email]

I was just going through some old emails, when I noticed this
open-ended thread.
I agree with Venu and James that there is an Assert-related issue
that is triggered by AssertCancel messages on the RPF interface.
Unfortunately, the lastest -11 I-D doesn't include a fix.

I guess it is either too late to change the submitted version
to IESG and/or nobody really cares or has the time anymore for
fixing this and other similar issues.

Pavlin

> All,
> 
> This post made to the mailing list in July seems never to have had any
> responses; my thoughts are inline below.
> 
> I think that Venu has pointed out a genuine problem with infinite Assert
> metrics, which ought to be addressed in the draft.  Does anyone else have
> any thoughts on this?
> 
> Regards,
> James.
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Venugopal Hemige
> Sent: 09 July 2004 19:45
> To: [email-masked]
> Subject: [pim] Hello HoldTime and Assert questions

<DEL>

> > 2. Assert cancel received on RPF-interface.
> > 
> > If there were an assert situation on the RPF-interface, the
> > interface will be in assert-loser state. Could-Assert would be
> > FALSE on the RPF-interface. So our interface metric to the source
> > will be infinite-metric. If an assert cancel is received from
> > the assert-winner, per the current definition of
> > inferior/preferred/acceptable metrics, it will be treated as an
> > acceptable metric. So the RPF-interface would remain in
> > assert-loser state and retain the wrong upstream neighbor as
> > RPF-neighbor, while infact it should have transitioned to
> > assert-no-info.
> > 
> > I think "inferior metric" should be defined to as a metric lower
> > than my metric OR infinite-metric. That should take care of it.
> > Comments?
> 
> I agree with you that there is a problem here.  In addition, the definition
> of Preferred and Acceptable metrics would need to exclude any infinite
> metrics.
> 
> > Regards,
> > -Venu

_______________________________________________
pim mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pim